Package org.apache.sling.commons.testing.integration

# Class HttpTestBase.TestNode

java.lang.Object
org.apache.sling.commons.testing.integration.HttpTestNode
org.apache.sling.commons.testing.integration.HttpTestBase.TestNode

Enclosing class:
  `HttpTestBase`

protected class HttpTestBase.TestNode extends HttpTestNode
Class that creates a test node under the given parentPath, and stores useful values for testing. Created for JspScriptingTest, older test classes do not use it, but it might simplify them.

## Field Summary

### Fields inherited from class org.apache.sling.commons.testing.integration.HttpTestNode

`nodeUrl, resourceType, scriptPath, testText`

## Constructor Summary

Constructors
Constructor
Description
`TestNode(String parentPath, Map<String,String> properties)`

## Method Summary

### Methods inherited from class org.apache.sling.commons.testing.integration.HttpTestNode

`delete`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestNode

public TestNode(String parentPath, Map<String,String> properties) throws IOException

Throws:
  `IOException`